手机版
你好,游客 登录 注册
背景:
阅读新闻

安全研究人员发现了两种新的Spectre漏洞变种

[日期:2018-05-22] 来源:Linux公社  作者:聆听世界的鱼 [字体: ]

来自谷歌和微软的安全研究人员已经公开披露了行业范围内的第三个和第四个变种,称为Spectre漏洞,这可能会让攻击者获得有关易受攻击系统的敏感信息。

配置了Spectre Variant 3a和Spectre Variant 4,这两个安全漏洞被标识为Rogue System Register Read(CVE-2018-3640)和Speculative Store Bypass(CVE-2018-3639)。尽管Spectre Variant 3a让本地攻击者通过侧通道分析读取系统参数来获取敏感信息,但是Spectre Variant 4漏洞可让非特权攻击者从内存或CPU堆栈中读取较旧的内存值。

据发现这两个漏洞的安全研究人员称,Spectre Variant 4 side-channel漏洞的实施非常复杂,但它可能会让攻击者使用权限较低的代码来利用“推测性旁路”,并读取任意特权数据或执行较老的推测性地发出命令,这可能会导致缓存分配,如果他们使用标准的旁通道方法,可能会让他们泄露数据。

“Spectre Variant 3a是一个漏洞,可能允许具有本地访问权限的攻击者通过旁道分析推测性地读取系统参数,并获取敏感信息,”安全公告称。 “Spectre Variant 4是一种利用”推测性旁路“的漏洞。当被利用时,Variant 4可能允许攻击者读取CPU堆栈或其他内存位置中较旧的内存值。”

英特尔发布可能受影响的基于英特尔平台的信息

该安全建议指示用户和系统管理员向其软件和硬件供应商提供补丁或微代码固件更新,以减轻Spectre Variant 3a和Specter Variant 4安全漏洞。红帽早些时候已经通知我们,他们计划在未来几天发布这些漏洞的缓解措施,敦促所有用户立即更新他们的系统,即使他们认为他们的平台可能不会受到影响。

要求管理员使用测试环境来验证补丁程序在实施之前是否正常运行,以确保在运行关键服务和应用程序时系统的性能不受影响。安全研究人员建议咨询云服务提供商和供应商,以了解补丁是否具有任何降级影响,并在补丁修复后解决主机操作系统上的这些问题。

欢迎订阅Linux公社的RSShttps://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2018-05/152487.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款